Get Person Search
curl --request GET \
--url https://api.baselayer.com/person_searches/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/person_searches/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/person_searches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "PENDING",
"created_at": "2026-08-31T10:31:07.839963",
"person": {
"id": "3605eec5-940f-4d54-9d48-da1cffe940ac",
"first_name": "John",
"last_name": "Doe",
"ssn": "XXXXX1234",
"created_at": "2025-01-15T12:00:00Z",
"middle_name": "Michael",
"phone_number": "+17075489914",
"email": "johndoe@example.com",
"date_of_birth": "1990-01-15",
"gender": "M",
"marital_status": "married",
"suffix": "Jr.",
"title": "Mr.",
"updated_at": "2025-01-15T12:00:00Z",
"dockets": [],
"liens": [],
"watchlist_hits": []
},
"updated_at": "2026-08-31T10:31:07.839973",
"reference_id": "Search1234",
"tin_matched": true,
"error": "RuntimeError The Search could not be completed.",
"warnings": "IRS Validation is unavailable."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Person Search
Get Person Search
GET
/
person_searches
/
{id}
Get Person Search
Authorizations
Path Parameters
Response
Successful Response
Represents a person search response.
The unique identifier of the search.
The current state of the search.
Available options:
PENDING, EXECUTING, COMPLETED, FAILED, CANCELLED The datetime the search was created.
Example:
"2026-08-31T10:31:07.839963"
The person to search for.
Show child attributes
Show child attributes
The datetime the search was updated at (generally when the search completed).
Example:
"2026-08-31T10:31:07.839973"
The reference ID associated with the search.
Example:
"Search1234"
Whether the SSN for this person search matches with the name provided
Example:
true
Any errors that occurred.
Example:
"RuntimeError The Search could not be completed."
Any warnings that occurred.
Example:
"IRS Validation is unavailable."